from django.db import models

from wagtail.documents.models import Document, AbstractDocument


class CustomDocument(AbstractDocument):
    # Custom field example:
    display_text = models.CharField(
        max_length=1024, default='')

    admin_form_fields = Document.admin_form_fields + (
        'display_text',
    )
